%global namedreltag .CR1
%global namedversion %{version}%{?namedreltag}

Name:             jboss-integration
Version:          6.0.0
Release:          %mkrel 5%{namedreltag}.2
Group:            Development/Java
Summary:          JBoss Integration
License:          LGPLv2+
URL:              http://www.jboss.org

# svn export http://anonsvn.jboss.org/repos/jbossas/projects/integration/tags/6.0.0.CR1/ jboss-integration-6.0.0.CR1
# tar -zcvf jboss-integration-6.0.0.CR1.tar.gz jboss-integration-6.0.0.CR1
Source0:          jboss-integration-%{namedversion}.tar.gz

BuildArch:        noarch

BuildRequires:    jacorb
BuildRequires:    maven-local
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-enforcer-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    jboss-transaction-1.1-api

%description
The JBoss integration classes

%package javadoc
Summary:          Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jboss-integration-%{namedversion}

# Not needed
%pom_disable_module jboss-classloading-spi
%pom_disable_module jboss-deployment-spi
%pom_disable_module jboss-transaction-spi
%pom_disable_module jboss-scanning-spi
%pom_disable_module jboss-annotations-spi
%pom_disable_module jboss-jca-spi
%pom_disable_module build

%pom_remove_dep "org.jboss.javaee:jboss-transaction-api" jboss-corba-ots-spi/pom.xml
%pom_add_dep "org.jboss.spec.javax.transaction:jboss-transaction-api_1.1_spec" jboss-corba-ots-spi/pom.xml

sed -i "s,59 Temple Place,51 Franklin Street,;s,Suite 330,Fifth Floor,;s,02111-1307,02110-1301," build/lgpl.txt

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc build/lgpl.txt

%files javadoc -f .mfiles-javadoc
%doc build/lgpl.txt



%changelog
* Fri Jan 03 2014 dmorgan <dmorgan> 6.0.0-5.CR1.2.mga4
+ Revision: 564074
- Rebuild against fixed stack

* Tue Dec 31 2013 dmorgan <dmorgan> 6.0.0-5.CR1.1.mga4
+ Revision: 563376
- Fix build
- Build with maven-local

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 6.0.0-2.mga3
+ Revision: 354963
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Feb 06 2012 gil <gil> 6.0.0-1.mga2
+ Revision: 205412
- imported package jboss-integration

